
Core - Task # 57881

Epic # 55070 (Accepted): Workpackages
Epic # 55065 (New): WP: Overall System Performance (Backend and Frontend)
Bug # 52949 (Resolved): Speed decrease since 4.5
Story # 57862 (Resolved): Add possibility to make all TCA additions cached

Status: Resolved Priority: Should have
Author: Helmut Hummel Category:
Created: 2014-04-13 Assigned To:
Updated: 2014-04-15 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity:
Sprint Focus:
Subject: Make category TCA changes cacheable
Description

Currently TCA changes of the category API are applied on every request
after the extTables files is included. This makes it impossible to
override the changes by third party extensions and also we do not
benefit from Caching.

Instead we use the introduced signal and apply the changes right before
caching.

With this change we have a clear separation of
registering category field additions (in ext_localconf.php) and
applying the TCA changes while building the TCA cache.

Related issues:
related to Core - Bug # 57750: Default generated categories TCA misses maxLev... Resolved 2014-04-08

Associated revisions
Revision 2b4aeefc - 2014-04-15 09:17 - Helmut Hummel

[BUGFIX] Make category TCA changes cacheable

Currently TCA changes of the category API are applied on every request
after the extTables files is included. This makes it impossible to
override the changes by third party extensions and also we do not
benefit from caching.

Instead we now use the introduced signal and apply the changes
right before caching.

With this change we also have a clear separation of
registering category field additions (in ext_localconf.php) and
applying the TCA changes while building the TCA cache.

Resolves: #57881
Releases: 6.2
Change-Id: I385c894fe13eb4cd4f8f2b4c82a9513b05308daa
Reviewed-on: https://review.typo3.org/29424
Reviewed-by: Frans Saris
Tested-by: Frans Saris
Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring

History
#1 - 2014-04-13 19:09 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/29424

#2 - 2014-04-15 09:30 - Helmut Hummel
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:2b4aeefc27719e0147858f7b0c82a70249a53749.
